<!--
Copyright (c) 2024 Chris Pressey, Cat's Eye Technologies
This file is distributed under an MIT license.  See LICENSES directory.
SPDX-License-Identifier: LicenseRef-MIT-X-Chainscape
-->

Chainscape
==========

**Chainscape** began as an exploration of the algebraic properties of
Markov Chains, conducted [for NaNoGenMo 2023][], culminating in

*   the generated novel [The Other and the Same][];
*   some [instructions for how to generate it][], for purposes of reproducability;
*   the Python scripts in this repository, which can derive new Markov
    chains from existing Markov chains, and generate text from those
    derived Markov chains; and
*   [On the Algebraic Structure of Markov Chains][], a write-up of the
    underlying ideas and experiences implementing it.

[for NaNoGenMo 2023]: https://github.com/NaNoGenMo/2023/issues/9
[The Other and the Same]: https://catseye.tc/node/The_Other_and_the_Same
[instructions for how to generate it]: doc/Instructions-for-Generating.md
[On the Algebraic Structure of Markov Chains]: doc/On-the-Algebraic-Structure-of-Markov-Chains.md
